// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
ryax-timeline([startColor]="timelineColor", [endColor]="timelineColor", *ngIf="(workflow$ | async) as workflow")
  ryax-timeline-item([color]="timelineColor", *ngFor="let action of workflow.modules; let i = index", [position]="i + 1" )
    ryax-workflow-action-details-card(
      *ngIf="i == 0 && workflow.deploymentStatus == DeploymentStatus.DEPLOYED",
      [actionDetails]="action", [(showDetails)] = "showDetails[i]", (showDetailsChange)="watchLogsToggle()",
      [index]="i", [logs]="(logs$ | async)!.value"
    )
    nz-card(*ngIf="i != 0 || workflow.deploymentStatus != DeploymentStatus.DEPLOYED", [nzBodyStyle]="{ padding: 0, display: 'flex', 'align-items': 'center' }")
      .ryax-module-icon
        img([src]="'/api/studio/static/logo/' + action.definitionId")
      div
        p.ryax-card-title {{ action.name }}
        span.ryax-card-version {{ action.version }}
        p.ryax-card-description {{ action.description }}
